# MapperRepo

interface MapperRepo < FromKey , FromValue , ToKey , ToValue >(source)

#### Inheritors

SimpleMapperRepo
MapperReadCRUDRepo
MapperWriteCRUDRepo
MapperCRUDRepo
MapperReadKeyValueRepo
MapperWriteKeyValueRepo
MapperKeyValueRepo
MapperReadKeyValuesRepo
MapperWriteKeyValuesRepo
MapperKeyValuesRepo

## Types

Companion
Link copied to clipboard
object Companion

## Properties

keyMapper
Link copied to clipboard
open val keyMapper : SimpleSuspendableMapper < FromKey , ToKey >
valueMapper
Link copied to clipboard
open val valueMapper : SimpleSuspendableMapper < FromValue , ToValue >

## Functions

toInnerKey
Link copied to clipboard
open suspend fun ToKey . toInnerKey (): FromKey
toInnerValue
Link copied to clipboard
open suspend fun ToValue . toInnerValue (): FromValue
toOutKey
Link copied to clipboard
open suspend fun FromKey . toOutKey (): ToKey
toOutValue
Link copied to clipboard
open suspend fun FromValue . toOutValue (): ToValue